"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toArray = void 0;
function toArray(p) {
    const arr = [];
    const emptyValues = ['', undefined];
    if (Array.isArray(p.value)) {
        arr.push(...p
            .value
            .filter(v => !emptyValues.includes(v)));
    }
    else if (!emptyValues.includes(p.value)) {
        arr.push(p.value);
    }
    return arr;
}
exports.toArray = toArray;
