"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliFactory = void 0;
const cli_interactive_1 = require("../../cli/cli/cli.interactive");
const cli_parser_1 = require("../../cli/cli/cli.parser");
class CliFactory {
    static createParser(version) {
        return new cli_parser_1.CliParser(version);
    }
    static createInteractive(config) {
        return new cli_interactive_1.CliInteractive(config);
    }
}
exports.CliFactory = CliFactory;
